none
question about register the version of database/server.thank u very much RRS feed

  • Question

  • hi

       may i ask a question about register the version of database/server.

       i found that for DbConnection,there is a parameter for output of version of database/server.but there is no input parameter for output of version of database/server.may i ask whether there is a input parameter for out out of version of database/server?thank u very much

       what is more,if u like,i would like to have a further discussion,

    i am using entityspaces,which is EntitySpaces is an object-relational mapping tool, whose architecture can be used when writing an ASP.NET, .NET Framework or .NET Compact Framework application

       for this entityspaces, when register the connection string,the database version is also needed to be registered.for the parameter of "database version",its a input parameter and what is strange is the input value of "database version" should be "2005"(string) for both sql server 2005 and sql server 2008.

         i am trying to discover if it is a microsoft feature (something about version of db/server should be "2005" for sql server 2005 and sql server 2008) or it's a feature of entityspaces .

          thank u very much for ur kindness help in advance

    best regards

    martin

      


    Tuesday, October 22, 2013 7:57 AM

Answers

  • Hi,

      Database version number is required for EntitySpace connection. This required the sql server version and if you're using sql server 2005 and u have to specify 2005 and if it is 2008 and u have to specify 2008.


    Balaji -Please click mark as answer if my reply solves your problem.

    • Proposed as answer by Eason_H Wednesday, October 23, 2013 8:03 AM
    • Marked as answer by Eason_H Wednesday, October 30, 2013 1:14 AM
    Tuesday, October 22, 2013 9:49 AM

All replies

  • Hi,

      Database version number is required for EntitySpace connection. This required the sql server version and if you're using sql server 2005 and u have to specify 2005 and if it is 2008 and u have to specify 2008.


    Balaji -Please click mark as answer if my reply solves your problem.

    • Proposed as answer by Eason_H Wednesday, October 23, 2013 8:03 AM
    • Marked as answer by Eason_H Wednesday, October 30, 2013 1:14 AM
    Tuesday, October 22, 2013 9:49 AM
  • hi Balaji:

       thank u very much for the reply

      may i ask do u know whether in microsoft ,it is the same?that is to say there is a pararmeter to register the database/server version?

      thank u very much again

    best regards

    martin

    Tuesday, October 22, 2013 9:53 AM